Page MenuHomePhabricator

Language templates causing problems in both the source and translation
Closed, ResolvedPublic

Description

When translating Kaidu from English to Spanish, there are some problems with the Language-related templates used in the first text paragraph:

  • The Lang-mn template used to show Mongolian text is rendered in the source document with an unexpected "<> templatestyles" element.
  • When the paragraph is added to the translation, the templatestyles element is transferred and the rest of the paragraph after it is lost (this happens with Google and Yandex but not Apertium)

There are no javascript errors in the console.

This quick link allows to test the specific issue based on an example page.

Event Timeline

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptSep 17 2019, 8:35 AM
Pginer-WMF updated the task description. (Show Details)Sep 17 2019, 8:42 AM

Change 537982 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Do not include template styles in the content to translate

https://gerrit.wikimedia.org/r/537982

Change 537982 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Do not include template styles in the content to translate

https://gerrit.wikimedia.org/r/537982

Jpita added a subscriber: Jpita.Wed, Sep 25, 1:45 PM

not working in prod and can't test in cx2-testing, waiting for env fix or deploy to prod

Change 539520 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2019-09-26-034732-production

https://gerrit.wikimedia.org/r/539520

Change 539520 merged by jenkins-bot:
[operations/deployment-charts@master] Update cxserver to 2019-09-26-034732-production

https://gerrit.wikimedia.org/r/539520

Mentioned in SAL (#wikimedia-operations) [2019-09-30T12:33:32Z] <kart_> Update cxserver to 2019-09-26-034732-production (T233834, T232674, T233085)

Jpita closed this task as Resolved.Tue, Oct 8, 2:49 PM
Jpita moved this task from Needs QA to Done on the Language-Team (Language-2019-July-September) board.